export function Pruebas() {

    return (
        <section>
            <div class="content-section">
                <div class="main main_pruebas_list">
                    <h1>Listado de pruebas psicométricas</h1>
                    <div class="row">
                        <div class="col-md-6 busqueda_prueba">
                            <div class="row">
                                <div class="col-md-6">
                                    <input type="text" name="nombreprueba" placeholder="Escribe el nombre de la prueba que deseas consultar"/>
                                </div>
                                <div class="col-md-6">
                                    <div class="buscar_prueba">
                                        <button class="btn_buscar_prueba">BUSCAR</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="crear_nueva_prueba">
                                <a href="nueva-prueba.php" target="_blank" class="btn_crear_prueba">CREAR PRUEBA</a>
                            </div>
                        </div>
                    </div>
                    <div class="tabs_pruebas">
                        <div class="row">
                            <div class="col-md-3">
                                <div class="test_tab active" id="todaspruebas" onclick="todaspruebas()">
                                    <p>TODAS LAS PRUEBAS</p>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="test_tab" id="comportamiento" onclick="comportamiento()">
                                    <p>COMPORTAMIENTO</p>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="test_tab" id="personalidad" onclick="personalidad()">
                                    <p>PERSONALIDAD</p>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="test_tab" id="inteligencia" onclick="inteligencia()">
                                    <p>INTELIGENCIA</p>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="pruebas_grid">

                        <div class="todas_las_pruebas_body" id="todas_las_pruebas_body">
                            <div class="row">
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-1">CLEAVER</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-2">ESTILO</label>
                                        </div>
                                    </div>
                                </div>
                                                    <div class="col-md-3">
                                                        <div class="body_prueba_list">
                                                            <div class="botones_edicion">
                                                                <div class="contenedor_botones">
                                                                    <div class="row">
                                                                        <div class="col-md-6">
                                                                            <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                                        </div>
                                                                        <div class="col-md-6">
                                                                            <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="modern-Checkbox">
                                                                <label for="box-3">VALORES</label>
                                                            </div>
                                                        </div>
                                                    </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-4">VALORES COMP.</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-5">MOSS</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-6">KOSTICK</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-7">ZAVIC</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-8">VALPER</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-9">LIFO</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-10">LUSCHER</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-11">CPI</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-12">PGV</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-13">BFQ</label>
                                        </div>
                                    </div>
                                </div>
                        <div class="col-md-3">
                            <div class="body_prueba_list">
                                <div class="botones_edicion">
                                    <div class="contenedor_botones">
                                        <div class="row">
                                            <div class="col-md-6">
                                                <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                            </div>
                                            <div class="col-md-6">
                                                <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="modern-Checkbox">
                                    <label for="box-14">16FP</label>
                                </div>
                            </div>
                        </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-15">PIP</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-16">IMP</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-17">PVC</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-18">NIC</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-19">TERMAN</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-20">BETAIIR</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-21">BETAIII</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-22">IE</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-23">RAVEN</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-24">DOMINOS</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-25">WONDERLIC</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-26">COIR</label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="pagination_pruebas">
                                <div class="botones_pagination">
                                    <a href='index' class="disabled">Ant.</a>
                                    <a href="index" class="active">1</a>
                                    <a href="index">2</a>
                                    <a href="index">3</a>
                                    <a href="index">4</a>
                                    <a href="index">5</a>
                                    <a href="index">Sig.</a>
                                </div>
                            </div>
                        </div>





                        <div class="comportamiento_body" id="comportamiento_body">
                            <div class="row">
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-1">CLEAVER</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-2">ESTILO</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-3">VALORES</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-4">VALORES COMP.</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-5">MOSS</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-6">KOSTICK</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-7">ZAVIC</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-8">VALPER</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-9">LIFO</label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>



                        <div class="personalidad_body" id="personalidad_body">
                            <div class="row">
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-10">LUSCHER</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-11">CPI</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-12">PGV</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-13">BFQ</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-14">16FP</label>
                                        </div>
                                    </div>
                                </div>
                                                    <div class="col-md-3">
                                                        <div class="body_prueba_list">
                                                            <div class="botones_edicion">
                                                                <div class="contenedor_botones">
                                                                    <div class="row">
                                                                        <div class="col-md-6">
                                                                            <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                                        </div>
                                                                        <div class="col-md-6">
                                                                            <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="modern-Checkbox">
                                                                <label for="box-15">PIP</label>
                                                            </div>
                                                        </div>
                                                    </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-16">IMP</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-17">PVC</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-18">NIC</label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>



                        <div class="inteligencia_body" id="inteligencia_body">
                            <div class="row">
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-19">TERMAN</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-20">BETAIIR</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-21">BETAIII</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-22">IE</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-23">RAVEN</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-24">DOMINOS</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-25">WONDERLIC</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="body_prueba_list">
                                        <div class="botones_edicion">
                                            <div class="contenedor_botones">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a href="index" title="Editar"><i class="far fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <a href="index" title="Eliminar"><i class="fas fa-times"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modern-Checkbox">
                                            <label for="box-26">COIR</label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    )
}
